Summary: BackupPC is a high-performance, enterprise-grade system for backing up Unix, Linux 
Name: backuppc
Version: 2.1.2
Release: 1tr
Group: Trustix Official
License: GPL
Source: http://sourceforge.net/projects/backuppc/BackupPC-%{version}.tar.gz
Patch0: backuppc-2.1.1-usernotexist.patch
BuildRequires: perl-compress-zlib
BuildRequires: perl-archive-zip
BuildRequires:	sed >= 4.0
BuildRequires: perl-file-rsyncp
Requires: tar > 1.13 
Requires: perl-compress-zlib
Requires: perl-archive-zip
Requires: perl-file-rsyncp

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
BackupPC is a high-performance, enterprise-grade system
for backing up Linux, Win32, and laptops to a server's disk.
Features include clever pooling of identical files, no client-side 
software, and a powerful Apache/CGI user interface. 

%prep
%setup -q -n BackupPC-%{version}
%patch0 -p1

%build
# Set the correct perl path
for i in configure.pl bin/* doc/* init.d/src/* lib/BackupPC/*/*.pm 
do
sed -i -e 's#/bin/perl#%{__perl}#' $i
done

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/home/httpd/%{name}/cgi-bin
mkdir -p $RPM_BUILD_ROOT/home/httpd/%{name}/html
perl configure.pl \
	--batch \
	--bin-path perl=%{__perl} \
	--bin-path tar=%{__tar} \
	--bin-path bzip2=%{__bzip2} \
	--bin-path hostname=/bin/hostname \
	--bin-path sendmail=/bin/mail \
	--bin-path ssh=%{__ssh} \
	--data-dir /var/lib/%{name} \
	--dest-dir $RPM_BUILD_ROOT \
	--install-dir %{_prefix} \
	--cgi-dir /home/httpd/%{name}/cgi-bin \
	--hostname localhost \
	--html-dir /home/httpd/%{name}/html \
	--html-dir-url /%{name}/html/ \
	--uid-ignore

mkdir -p $RPM_BUILD_ROOT%{_initdir}
install -m755 init.d/linux-backuppc $RPM_BUILD_ROOT%{_initdir}/backuppc
rm $RPM_BUILD_ROOT/usr/doc/BackupPC.*

%pre
if [ -z "`getent group backuppc`" ]; then
    /usr/sbin/groupadd -g 150 backuppc
fi

if [ -z "`getent passwd backuppc`" ]; then
/usr/sbin/useradd -u 150 -d /var/lib/backuppc -M -s /bin/false -g backuppc backuppc
fi

%post
chkconfig --add backuppc
if [ "$1" = 2 ]; then
        /sbin/restart_maybe backuppc > /dev/null 2>&1
fi

%preun
if [ "$1" = 0 ]; then
	if [ -f /var/lock/subsys/backuppc ]; then 
		%{_initdir}/backuppc stop >&2
	fi
/sbin/chkconfig --del backuppc
fi

%postun
if [ "$1" = 0 ]; then
if [ -z "`getent group backuppc`" ]; then
    /usr/sbin/groupdel backuppc
fi

if [ -z "`getent passwd backuppc`" ]; then
    /usr/sbin/userdel backuppc
fi
fi

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc ChangeLog README LICENSE 
%doc doc/*
%{_bindir}/*
/home/httpd/%{name}/
%attr(755,backuppc,backuppc) /var/lib/%{name}
%config(noreplace) /var/lib/backuppc/conf/config.pl
%config(noreplace) /var/lib/backuppc/conf/hosts
%{_libdir}/BackupPC/
%{_initdir}/backuppc

%changelog
* Thu Nov 17 2005 Nived Gopalan <nived at trustix dot org> 2.1.2-1tr
- Initial build for TSL-3.0.
